import { createRule as e } from "../util/index.js";
export default e({
    meta: {
        messages: {
            anonymous: "Do not use anonymous classes, always give them a formal name"
        },
        schema: [],
        type: "problem",
        configurations: {
            recommended: "error",
            strict: "error"
        }
    },
    defaultOptions: [],
    name: "no-anonymous-classes",
    create: (e)=>({
            ClassExpression: (s)=>{
                null === s.id && e.report({
                    messageId: "anonymous",
                    node: s
                });
            }
        })
});

//# sourceMappingURL=no-anonymous-classes.js.map